Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class RepeaterActionDefinition.DeleteRowsActionDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.ActionDefinition
              org.apache.cocoon.forms.formmodel.RepeaterActionDefinition
                  org.apache.cocoon.forms.formmodel.RepeaterActionDefinition.DeleteRowsActionDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

Enclosing class:
  RepeaterActionDefinition

public static class RepeaterActionDefinition.DeleteRowsActionDefinition
extends RepeaterActionDefinition

The definition of a repeater action that deletes the selected rows of a sibling repeater.

The action listeners attached to this action, if any, are called before the rows are actually removed

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.formmodel.RepeaterActionDefinition
`RepeaterActionDefinition.AddRowActionDefinition, RepeaterActionDefinition.ChangePageActionDefinition, RepeaterActionDefinition.DeleteRowsActionDefinition, RepeaterActionDefinition.InsertRowsActionDefinition, RepeaterActionDefinition.SortActionDefinition`

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`RepeaterActionDefinition.DeleteRowsActionDefinition(String repeaterName, String selectName)`

Method Summary
`void` | `fireActionEvent(ActionEvent event)`
`boolean` | `hasActionListeners()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor

Methods inherited from class org.apache.cocoon.forms.formmodel.RepeaterActionDefinition
`createInstance, getRepeaterName`

Methods inherited from class org.apache.cocoon.forms.formmodel.ActionDefinition
`addActionListener, getActionCommand, setActionCommand`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeaterActionDefinition.DeleteRowsActionDefinition

    public RepeaterActionDefinition.DeleteRowsActionDefinition(String repeaterName,
                                                               String selectName)

Method Detail

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `RepeaterActionDefinition`
  Throws:
    `Exception`

### hasActionListeners

    public boolean hasActionListeners()

  Overrides:
    `hasActionListeners` in class `ActionDefinition`

### fireActionEvent

    public void fireActionEvent(ActionEvent event)

  Overrides:
    `fireActionEvent` in class `ActionDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.